Boomi Platform Connector API Reference (1.0.0) - ConnectorVersionChange
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Change the version of a PRIVATE connector or submit a version approval request for PUBLIC connectors.
Note: For scheduled connector version change requests done via the API for private connectors, the release of the pending version occurs once every hour.
Features and Privileges
Ensure that you have :
DEVELOPER and API privileges for PRIVATE connectors.
CONNECTOR_ADMINISTRATION feature and the CONNECTOR_SUBMISSION privilege, in addition to the DEVELOPER and API privileges, for PUBLIC connectors.
Submit a connector version change request
Use this operation to change the version of a connector it if is PRIVATE. In addition, this API allows to submit a version approval request if the connector is PUBLIC.
Authorizations:
Request Body schema: optional
| classificationType required | string The name of the classification that currently has a PENDING connector version change request against it |
| versionId required | string The system version number you wish to switch to |
| releaseNotes | string Text to create any release notes for the connector |
object (VersionChangeSchedule) |
Responses
Response Schema:
required | object (ConnectorClassification) |
| classificationType required | string The name of the classification that currently has a PENDING connector version change request against it |
required | object (User) |
| completedDate required | string <date-time> |
| releaseNotes required | string Text to create any release notes for the connector |
| reviewReason required | string |
| reviewStatus required | string Enum: "APPROVED" "CANCELLED" "PENDING" "REJECTED" |
required | object (User) |
| versionId required | string The system version number you wish to switch to |
object (VersionChangeSchedule) | |
| uid | integer <int64> |
Request samples
- Payload
{- "classificationType": "sample-connector-classification",
- "versionId": "3",
- "releaseNotes": "Any relevant release notes - Testing with a newer version",
- "VersionChangeSchedule": {
- "preferredReleaseDate": "2024-07-23T21:32:52Z"
}
}Response samples
- 200
- 403
- 410
- 503
{- "classificationType": "sample-connector-classification",
- "versionId": "3",
- "releaseNotes": "Any relevant release notes - Testing with a newer version",
- "VersionChangeSchedule": {
- "preferredReleaseDate": "2024-07-23T21:32:52Z"
}, - "classification": {
- "classification": "dev",
- "classificationType": "sample-connector-classification",
- "createdBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "dateCreated": "2019-08-24T14:15:22Z",
- "deleted": true,
- "displayName": "Sample connector",
- "groupType": "sample-connector",
- "lastModifiedDate": "2019-08-24T14:15:22Z",
- "pendingVersion": "3",
- "releaseDate": "2019-08-24T14:15:22Z",
- "reviewStatus": "APPROVED",
- "version": "3",
- "visibility": "PUBLIC"
}, - "reviewStatus": "PENDING",
- "reviewReason": "string",
- "submittedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "completedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "completedDate": "2019-08-24T14:15:22Z",
- "uid": 0
}Cancel a pending connector version change request
Use this operation to cancel an existing connector version change request. This API should only be used for PUBLIC connectors that have submitted a connector version change request for review. If there is not any PENDING connector version change requests for the particular connector passed in the request body, an error will be thrown indicating that there is no pending request to cancel.
Authorizations:
Request Body schema: optional
| classificationType required | string The name of the classification that currently has a PENDING connector version change request against it |
Responses
Response Schema:
| classificationType required | string The name of the classification that currently has a PENDING connector version change request against it |
required | object (User) |
| completedDate required | string <date-time> |
| reviewStatus required | string Enum: "APPROVED" "CANCELLED" "PENDING" "REJECTED" |
Request samples
- Payload
{- "classificationType": "sample-connector-classification"
}Response samples
- 200
- 403
- 410
- 503
{- "classificationType": "sample-connector-classification",
- "reviewStatus": "CANCELLED",
- "completedBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "completedDate": "2019-08-24T14:15:22Z"
}